package de.ivu.elect.business.gruppe.entity;

public class GruppeUebernehmenResult {
  public static final GruppeUebernehmenResult NICHTS_UEBRNOMMEN = new GruppeUebernehmenResult(-1L, -1L, -1L, -1L);

  private final long anzahlUebernommenerGruppen;

  private final long anzahlBereitsVorhandenerGruppen;

  private final long anzahlAktualisierterGruppen;

  private final long anzahlGeloeschterGruppen;

  public GruppeUebernehmenResult(long anzahlUebernommenerGruppen, long anzahlBereitsVorhandenerGruppen, long anzahlAktualisierterGruppen, long anzahlGeloeschterGruppen) {
    this.anzahlUebernommenerGruppen = anzahlUebernommenerGruppen;
    this.anzahlBereitsVorhandenerGruppen = anzahlBereitsVorhandenerGruppen;
    this.anzahlAktualisierterGruppen = anzahlAktualisierterGruppen;
    this.anzahlGeloeschterGruppen = anzahlGeloeschterGruppen;
  }

  public long getAnzahlUebernommenerGruppen() {
    return anzahlUebernommenerGruppen;
  }

  public long getAnzahlBereitsVorhandenerGruppen() {
    return anzahlBereitsVorhandenerGruppen;
  }

  public long getAnzahlAktualisierterGruppen() {
    return anzahlAktualisierterGruppen;
  }

  public long getAnzahlGeloeschterGruppen() {
    return anzahlGeloeschterGruppen;
  }


}
